{% extends 'base.html.twig' %}

{% block title %}Test Basile Valentin{% endblock %}

{% block body %}
    <h1>Test basile Valentin</h1>

    <section class="search-form">
        {{ form_start(form) }}
            <div class="form-error">
                {{ form_errors(form) }}
                {{ error }}
            </div>
            <div class="grid">
                <div>
                    {{ form_widget(form.search) }}
                    <div class="form-error">
                        {{ form_errors(form.search) }}
                    </div>
                </div>
                <div>
                    {{ form_widget(form.location) }}
                    <div class="form-error">
                        {{ form_errors(form.location) }}
                    </div>
                </div>
                {{ form_row(form.page) }}
                {{ form_row(form.submit) }}
            </div>
        {{ form_end(form) }}
    </section>

    {% if jobResults %}
        <hgroup>
            <h2>
                Search for:
                {{ form.vars.value.search }}
                -
                {{ form.vars.value.location }}
            </h2>
            <p>
                {{ jobResults.total }} results
            </p>
        </hgroup>

        <section class="job-ad-container">
            {% for jobAd in jobResults.jobAds %}
                <article class="job-ad">
                    <header>
                        {{ jobAd.title }} - {{ jobAd.company }}
                    </header>
                    <main>
                        <div>
                            {{ jobAd.description | raw }}
                        </div>
                    </main>
                    <footer>
                        <p>
                            Publication date: {{ jobAd.publicationDate | date('d-m-Y') }}
                        </p>
                        <div>
                            <a href="{{ jobAd.link }}" target="_blank" role="button">Apply</a>
                        </div>
                    </footer>
                </article>
            {% endfor %}
        </section>

        {% set currentPage = form.vars.value.page %}

        {% include '/partials/_pagination.html.twig' with {
            'total': jobResults.total,
            'limit': limit,
            'currentPage': currentPage,
            'pagesAround': pagesAround,
            'pageCount': jobResults.pageCount,
        } %}
    {% endif %}

    <script>
        const links = document.querySelectorAll(".page");

        Array.from(links).forEach(link => {
            link.addEventListener('click', function(event) {
                event.preventDefault();

                const url = new URL(window.location.href);
                url.searchParams.set('job_search[page]', event.target.dataset.page);

                window.location.href = url.toString();
            });
        });
    </script>

{% endblock %}
